diff --git a/web/regression/README b/web/regression/README
index a7e4230a2..dfaf071ba 100644
--- a/web/regression/README
+++ b/web/regression/README
@@ -250,7 +250,13 @@ Python Tests:
          run 'python runtests.py --exclude resql'
 
 - Execute ui selenium tests in parallel using selenoid(selenium grid + docker)
-     Example : --pkg feature_tests --parallel
+    Example 1) Execute only all feature tests in parallel mode
+     run 'python runtests.py --pkg feature_tests --parallel'
+
+     Example 1) Execute particular module feature tests in parallel mode
+     run 'python runtests.py --pkg feature_tests --modules browser_tool_bar_test
+                --parallel'
+
 
 
 Code Coverage:
diff --git a/web/regression/feature_utils/locators.py b/web/regression/feature_utils/locators.py
index e44eac873..23ccd0ee9 100644
--- a/web/regression/feature_utils/locators.py
+++ b/web/regression/feature_utils/locators.py
@@ -262,7 +262,7 @@ class ConnectToServerDiv:
 
 class PropertyDialogueLocators:
     # This will contain xpaths for elements in properties dialogue
-    server_dialogue_title = "//div[text()='Create - Server']"
+    server_dialogue_title = "//div[text()='Register - Server']"
 
     server_connection_tab = "//button/span[text()='Connection']"
 
diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index befac9ef8..f99b1aeb5 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -103,7 +103,7 @@ class PgadminPage:
             self.find_by_xpath(TreeAreaLocators.server_group_node("Servers"))
         ActionChains(self.driver).context_click(server_group_node).perform()
         ActionChains(self.driver).move_to_element(self.find_by_xpath(
-            TreeAreaLocators.context_menu_element('Create'))).perform()
+            TreeAreaLocators.context_menu_element('Register'))).perform()
         ActionChains(self.driver).move_to_element(self.find_by_xpath(
             TreeAreaLocators.context_menu_element('Server...'))) \
             .click().perform()
